Subject: Linux 2.4.0 and 2 GB promlem

From: Matthias Mann <[email-masked]>
Date: Tue, 6 Feb 2001 12:45:35 +0100

Hallo,

> Dear CCL'ers,
> I've heard that new Linux kernel 2.4.0 can handle files larger than 2 GB.
> Have anybody tried to test 2.4.0 kernel with quantum-chemical programs?

it seems, nobody has experience with this until now ?
Because I'm also very interested to solve this problem, I asked Gaussian
according the LFS support in G98. Here is the answer:

> The limit is partly relieved in Rev. A.7.  We have further
> changes expected in the next minor revision which should 
> remove it entirely for machines with native 64 bit integers.
> For A.7 the limit is around 20GB due to a limit in the bin
> sort required for post-MP2 methods. 
>
> This does not extend to Linux on Intel platforms because here
> 32 bit integers are still used to maintain good performance.
> We have not yet tested with the 2.4 kernels but since we see
> as bad as 30% penalty for using 64 bit integers on machines
> like the IBM Power3 when using 64 bit integers we don't plan on
> releasing a version for Linux on Intel.

This is not totally clear, because it is possible to support large
files also on 32 bit systems. For example, large files are supported
with 32bit IBM AIX 4.2 on RS/6000 (without reducing performance).

Because the 2 GB limit is one of the remaining disadvantages in
comparison of Linux systems with commercial workstations,
we should try to solve this for quantum chemical programs ?!

Greetings,
Matthias

--
Dr. Matthias Mann 
Institut fuer Organische Chemie, TU Dresden
D-01069 Dresden, Mommsenstr. 13
Tel.: +49 (351) 463-4286 / Fax: -3162
Email: [email-masked]